package com.ytpm.dao;

import com.ytpm.agent.model.YtChannel;
import com.ytpm.agent.view.AgentChannelView;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface ChannelMapper {
    /**
     * 获取渠道商列表
     */
    List<AgentChannelView> channelList();
    /**
     * 修改广告渠道
     */
    void update(YtChannel channel);
    /**
     * 新增广告渠道
     */
    void insert(YtChannel channel);

    /**
     * 过滤指定app已经关联过的渠道
     */
    List<AgentChannelView> relativeChannel(String appId);


}
